[Snort-users] Building standard DAQ on Ubuntu 12 LTS

Peter Bates peter.bates at ...15381...
Wed Jun 13 05:52:55 EDT 2012


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Hello all

On 12/06/2012 22:23, Olaf Schreck wrote:
>> I've built a PF_RING-enabled libpcap, which is in
>> /usr/local/lib.
> 
> BTW: which version and where from?

It is version 5.4.3 or so, from SVN:
svn co https://svn.ntop.org/svn/ntop/trunk/PF_RING/

> Easiest way out: install Ubuntu provided libpcap v1.1.1 and pass
> the version checking.  If you're on Linux and willing to run a
> stock libpcap..

Indeed - I did this and build of DAQ and Snort 2.9.x is now fine.

As PF_RING comes with its own DAQ which also builds then all is fine -
just a bit odd that I have to install the distro libpcap 1.1.1 and
that it doesn't notice the one in /usr/local/(lib|include).

- -- 
Peter Bates
Senior Computer Security Officer    Phone: +44(0)2076792049
Information Services Division	    Internal Ext: 32049
University College London
London WC1E 6BT
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJP2GL3AAoJELhVoVpEMS6RWeIIAJzu3xYWmuI3phHrdabYfImG
hPO4BpTEmo3ET4pwwNvjBwLUxZoQrnlE06//TQc41quoU32nc5YpDQCP4LbBrI2+
u/DxCgW2OFXxE8clhhPQB1po1cVOtWVY7pzVEqNER4eaCcdJaOIgIpzgJXat/7CF
StOQyxzTbG96fPg9rOSP54m8YK4fuNLXSWrK7BPG281/r39xuj9Z3feoBmXNYBCm
6DZ50TphJ5F88XYWfeG3dy134mlUhYPR6SmwhBvkCQFmJOuD2snh5Ui6XXHLOFHK
npQJt/nOYyHnIXo8EhMfAXE05dn8FCSG9Bt3GpKcH9E03NeZgMotvtfvi+Yyh3Y=
=tKGy
-----END PGP SIGNATURE-----





More information about the Snort-users mailing list